AMENT_INDEX(1)

NAME
ament_index - query the ROS 2 ament resource index

SYNOPSIS
ament_index [resource-type] [resource-name]

DESCRIPTION
ament_index is part of ROS 2, the Robot Operating System. The ament resource index is used to quickly query installed packages and some ROS system properties by reading files from well-defined locations.

RESOURCE INDEX
The ament resource index is looked for in all prefixes which are listed in the environment variable AMENT_PREFIX_PATH and, for Debian, in /usr, unless the special environment variable AMENT_PREFIX_NO_IMPLICIT_USR is set to a non-empty value. The resource files can be found under

share/ament_index/resource_index/resource-type/resource-name